## Function `luminosityDistance( z, H0, omegaM, omegaLambda )`

Description:
  Luminosity distance.

Parameters:
  `z` (floating point)
    redshift
  `H0` (floating point)
    Hubble constant in km/sec/Mpc
  `omegaM` (floating point)
    density ratio of the universe
  `omegaLambda` (floating point)
    normalised cosmological constant

Return Value (floating point):
  luminosity distance in Mpc

Signature:
  `double luminosityDistance(double, double, double, double)`